2024-04-25 18:15 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000573mercuryBugpublic2024-02-23 16:44
Reporterwangp 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000573: mmc --make regression remaking .opt files unnecessarily
DescriptionCommit 8b5cc5125 ("Use string builders for .*opt files.")
introduces a regression where .opt files are remade unnecessarily.
Using the samples/diff program for example:

    % mmc --intermod-opt -j32 -m diff
    [... trimmed output ...]
    Making diff

    % touch match.m

    % mmc --intermod-opt -m diff
    Making Mercury/int3s/match.int3
    Making Mercury/ints/match.int
    Making Mercury/opts/match.opt
    ** Nothing to be done for `diff'.

    % mmc --intermod-opt -m diff
    Making Mercury/int3s/match.int3
    Making Mercury/opts/match.opt
    ** Nothing to be done for `diff'.

where every subsequent invocation of mmc --make will keep remaking match.opt.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001231

zs (developer)

Fix committed 2024 feb 23.
+Notes

-Issue History
Date Modified Username Field Change
2024-02-22 15:16 wangp New Issue
2024-02-22 15:22 zs Assigned To => zs
2024-02-22 15:22 zs Status new => assigned
2024-02-23 16:44 zs Status assigned => resolved
2024-02-23 16:44 zs Resolution open => fixed
2024-02-23 16:44 zs Note Added: 0001231
+Issue History